ArrayList<Slide> mySlide;

void setup() {
  size(displayWidth, displayHeight);
  mySlide = new ArrayList();
  for (int i=0; i<4; i++) {
    mySlide.add(new Slide(i+".svg", i*width));
  }
}

void draw() {
  background(255);
  for (int i=0; i<4; i++) {
    mySlide.get(i).display();
    mySlide.get(i).ease();
  }
}

/*
void mouseDragged()
{
  for (int i=0; i<4; i++) {
    mySlide.get(i).update(mouseX-pmouseX);
  }
}
*/

void mouseReleased() {
 
  if (mouseX < width/2) // move left
  {
    for (int i=0; i<4; i++) {
      mySlide.get(i).targetX = mySlide.get(i).x-width;
    }
  }
  if (mouseX > width/2) // move right
  {
    for (int i=0; i<4; i++) {
      mySlide.get(i).targetX += width;
    }
  }
}

