ArrayList<Slide> mySlide;

void setup() {
  size(displayWidth, displayHeight);
  mySlide = new ArrayList();
  for (int i=0; i<4; i++) {
    mySlide.add(new Slide(i+".svg", i*width));
  }
}

void draw() {
  background(255);
  for (int i=0; i<4; i++) {
    mySlide.get(i).display();
    mySlide.get(i).ease();
  }
}

void mouseReleased() {

  // USE pmouseX  so it doesn't matter where you touch

  if (pmouseX > mouseX) // move left 
  {
    for (int i=0; i<4; i++) {
      mySlide.get(i).targetX = mySlide.get(i).x-width;
    }
  }
  if (pmouseX < mouseX) // move right
  {
    for (int i=0; i<4; i++) {
      mySlide.get(i).targetX += width;
    }
  }
}

